> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Automation Action runners

`GET https://api.pagerduty.com/automation_actions/runners`

Lists Automation Action runners matching provided query params.
The returned records are sorted by runner name in alphabetical order.

See [`Cursor-based pagination`](https://docs.pagerduty.com/developer/pagination) for instructions on how to paginate through the result set.

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | The minimum of the `limit` parameter used in the request or the maximum request size of the API. |
| `cursor` | string |  | Optional parameter used to request the "next" set of results from an API. The value provided here is most commonly obtained from the `next_cursor` field of the previous request. When no value is provided, the request starts at the beginning of the result set. |
| `name` | string |  | Filters results to include the ones matching the name (case insensitive substring matching) |
| `include[]` | array of string |  | Includes additional data elements into the response. Items must be unique. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

Runners matching the criteria.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `runners` | array of object |  |  |
| `runners[].id` | string | yes | Read-only. |
| `runners[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `runners[].type` | string | yes | A string that determines the schema of the object. This must be the standard name for the entity, suffixed by `_reference` if the object is a reference. Read-only. |
| `runners[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `runners[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `runners[].runner_type` | string | yes | sidecar -- The runner is backed by an external sidecar that polls for invocations. runbook -- The runner communicates directly with a runbook instance. One of: `sidecar`, `runbook`. |
| `runners[].name` | string | yes |  |
| `runners[].description` | string |  |  |
| `runners[].last_seen` | string (date-time) |  |  |
| `runners[].status` | string | yes | Configured -- Runner has connected to the backend at least once NotConfigured -- Runner has never connected to backend. One of: `Configured`, `NotConfigured`. |
| `runners[].creation_time` | string (date-time) | yes |  |
| `runners[].runbook_base_uri` | string |  | The base URI of the Runbook server to connect to. May only contain alphanumeric characters, periods, underscores and dashes. Specified as the subdomain portion of an RBA host, as in <runbook_base_uri>.runbook.pagerduty.cloud. Max length: 255. |
| `runners[].teams` | array of object |  | The list of teams associated with the Runner. Read-only. |
| `runners[].teams[].id` | string | yes | Read-only. |
| `runners[].teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `runners[].teams[].type` | string | yes | One of: `team_reference`. |
| `runners[].teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `runners[].teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `runners[].privileges` | object |  |  |
| `runners[].privileges.permissions` | array of string | yes |  |
| `runners[].associated_actions` | object |  | References to at most 3 actions associated with the Runner. Use appropriate endpoints to retrieve the full list of associated actions. |
| `runners[].associated_actions.actions` | array of object | yes |  |
| `runners[].associated_actions.actions[].id` | string | yes | Read-only. |
| `runners[].associated_actions.actions[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `runners[].associated_actions.actions[].type` | string | yes | One of: `action_reference`. |
| `runners[].associated_actions.actions[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `runners[].associated_actions.actions[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `runners[].associated_actions.more` | boolean | yes | Indicates whether more actions exist for the Runner. |
| `runners[].metadata` | object |  | Additional metadata. |
| `privileges` | object |  | Same fields as `runners[].privileges` above. |
| `limit` | integer | yes | The minimum of the `limit` parameter used in the request or the maximum request size of the API. Read-only. |
| `next_cursor` | string \| null | yes | An opaque string than will deliver the next set of results when provided as the `cursor` parameter in a subsequent request. A `null` value for this field indicates that there are no additional results. Read-only. |

Example: Response Example

```json
{
  "runners": [
    {
      "id": "01DACKMP6Q3Y5YG51ENA26CX2I",
      "name": "us-west-2 prod runbook runner",
      "description": "us-west-2 prod runbook runner provisioned by SRE",
      "creation_time": "2022-10-21T19:42:52.127369Z",
      "type": "runner",
      "runner_type": "runbook",
      "runbook_base_uri": "acme.prod",
      "status": "Configured",
      "teams": [
        {
          "id": "PQ9K7I8",
          "type": "team_reference"
        }
      ],
      "privileges": {
        "permissions": [
          "read",
          "update",
          "delete"
        ]
      }
    },
    {
      "id": "01DA2MLYN0J5EFC1LKWXUKDDKT",
      "name": "us-west-2 prod sidecar runner",
      "description": "us-west-2 prod sidecar runner provisioned by SRE",
      "creation_time": "2022-10-21T19:42:52.127369Z",
      "type": "runner",
      "runner_type": "sidecar",
      "status": "Configured",
      "privileges": {
        "permissions": [
          "read",
          "update"
        ]
      }
    }
  ],
  "privileges": {
    "permissions": [
      "create"
    ]
  },
  "limit": 2,
  "next_cursor": "eyJjMiI6IjAxREEyTUxZTjBKNUVGQzFMS1dYVUtEREtUIiwiYzEiOiJSQkEgU2hhcmVkIFN0YWdpbmcgSW5zdGFuY2UifQ=="
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 402

Account does not have the abilities to perform the action. Please review the response for the required abilities.
You can also use the [Abilities API](#resource_Abilities) to determine what features are available to your account.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
